.card-danger .card-header {
    background-color: #ff5050;
    color: #ffffff;
}

.btn-warning {
    background-color: #fcb8b8;
    color: #000;
}

.btn-warning:hover {
    background-color: #EFEFEF;
    border: 1px solid #919190;
    color: #000;
}

.pulse {
    display: block;
    border-radius: 100%;
    cursor: pointer;
}

.legend {
    opacity: 0.7;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0;
    }

    70% {
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}